Subject: Button Bar distortion

From: [email-masked]
Date: Wed, 12 May 1999 00:45:56 -0500 (CDT)

Full_Name: Mike Kachline
Version: 2.2.1
CVS_Date: May 12, 1999
OS: RH 5.2 Linux
X_Server: XFree 3.3.3.1-1
Submission from: (NULL) (130.207.88.217)

My Button bar shows up distorted on the screen. The bar still
 seems to respond to events such as clicks as it used to, but it's
appearance
 on the screen seems distorted (appears as if one got sandpaper and
horizontally
scratched out the icons). This problem started to occur about 3 to 7 days 
ago in the CVS versions of fvwm.

I'm running a RH 5.2 box with RedHat's "XFree86-3.3.3.1-1" rpm's installed
for
my X server. Finally, oddly enough, the FvwmButtonBar works fine if I use
the 
default "FvwmConfig" script. I have confined this problem to definately
being
FvwmButtons, as, if I paste the below portion directly into the default
.fvwm2rc
which FvwmConfig creates, I can replicate this problem.

FvwmButton complaints seen in .xsession-errors
----------------------------------------------
FvwmButtons: Cause of next X Error.
FvwmButtons: Cause of next X Error.
FvwmButtons: Cause of next X Error.
FvwmButtons: Cause of next X Error.
FvwmButtons: Cause of next X Error.
FvwmButtons: Cause of next X Error.
FvwmButtons: Cause of next X Error.
FvwmButtons: Cause of next X Error.
FvwmButtons: Cause of next X Error.
FvwmButtons: Cause of next X Error.
FvwmButtons: Cause of next X Error.
FvwmButtons: Cause of next X Error.
FvwmButtons: Cause of next X Error.
FvwmButtons: Cause of next X Error.
FvwmButtons: Cause of next X Error.
FvwmButtons: Cause of next X Error.
FvwmButtons: Cause of next X Error.
FvwmButtons: Cause of next X Error.

Problematic .fvwm2rc section:
----------------------------

*FvwmButtonsGeometry +1-1
*FvwmButtonsFore white          
*FvwmButtonsBack black          
*FvwmButtonsPixmap none
*FvwmButtons(Container(Rows 1 Frame 0))

*FvwmButtons(Title "Localhost" Icon "xterm.xpm"  Action `Exec "xterm" xterm
&`)
*FvwmButtons(Title "Brightstar" Icon "xterm-linux.xpm"  Action `Exec
"brightstar" xterm -T "brightstar.gt.ed.net" -e ssh brightstar.gt.ed.net
&`)
*FvwmButtons(Title "Lennon" Icon "xterm-sun.xpm"  Action `Exec "lennon"
xterm -T "lennon.cc.gatech.edu" -e ssh lennon.cc.gatech.edu  &`)
*FvwmButtons(Title "Arches" Icon "rterm.xpm"  Action `Exec "brightstar"
xterm -T "arches.uga.edu" -e ssh -l erngrady arches.uga.edu &`)
*FvwmButtons(Title "Netscape" Icon "nscape.xpm"  Action `Exec "netscape"
netscape &`)
#*FvwmButtons(Padding 0, Title "FvwmModules"  Action `Menu FvwmModules
mouse c -8p Nop`)
*FvwmButtons(Title "Machines"  Icon rterm.xpm Action `Menu Machines`)
#*FvwmButtons(Title "Internet" Icon "desk.xpm"  Action `Exec xterm -e
/home/kachline/isp &`)
*FvwmButtons(Title "Internet" Icon "desk.xpm"  Action `Module FvwmForm
FvwmPPP`)

*FvwmButtons(Swallow(UseOld,NoHints,Respawn) "asclock" `Exec exec asclock 
-shape `)
*FvwmButtons(Swallow(UseOld) "FvwmPager" "Module FvwmPager 0 0")
*FvwmButtons(Title "Exit X" Icon "bomb.xpm"  Action `Quit`)

*FvwmButtons(End)

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]